App\Library\Amazon\Classes\EducationalSupplies:
    xml_root_name: EducationalSupplies
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\EducationalSupplies\VariationDataAType
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\EducationalSupplies\ColorSpecificationAType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\EducationalSupplies\UnitCountAType
        recycledContentPercentage:
            expose: true
            access_type: public_method
            serialized_name: RecycledContentPercentage
            accessor:
                getter: getRecycledContentPercentage
                setter: setRecycledContentPercentage
            type: float
        preConsumerRecycledContent:
            expose: true
            access_type: public_method
            serialized_name: PreConsumerRecycledContent
            accessor:
                getter: getPreConsumerRecycledContent
                setter: setPreConsumerRecycledContent
            type: float
        postConsumerRecycledContent:
            expose: true
            access_type: public_method
            serialized_name: PostConsumerRecycledContent
            accessor:
                getter: getPostConsumerRecycledContent
                setter: setPostConsumerRecycledContent
            type: float
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumExpandableSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumExpandableSize
            accessor:
                getter: getMaximumExpandableSize
                setter: setMaximumExpandableSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        coreDiameter:
            expose: true
            access_type: public_method
            serialized_name: CoreDiameter
            accessor:
                getter: getCoreDiameter
                setter: setCoreDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        inkColor:
            expose: true
            access_type: public_method
            serialized_name: InkColor
            accessor:
                getter: getInkColor
                setter: setInkColor
            xml_list:
                inline: true
                entry_name: InkColor
            type: array<string>
        ballpointPenType:
            expose: true
            access_type: public_method
            serialized_name: BallpointPenType
            accessor:
                getter: getBallpointPenType
                setter: setBallpointPenType
            type: string
        tipDescription:
            expose: true
            access_type: public_method
            serialized_name: TipDescription
            accessor:
                getter: getTipDescription
                setter: setTipDescription
            xml_list:
                inline: true
                entry_name: TipDescription
            type: array<string>
        pencilLeadHardness:
            expose: true
            access_type: public_method
            serialized_name: PencilLeadHardness
            accessor:
                getter: getPencilLeadHardness
                setter: setPencilLeadHardness
            type: string
        pointType:
            expose: true
            access_type: public_method
            serialized_name: PointType
            accessor:
                getter: getPointType
                setter: setPointType
            type: string
        lineSize:
            expose: true
            access_type: public_method
            serialized_name: LineSize
            accessor:
                getter: getLineSize
                setter: setLineSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfFasteners:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFasteners
            accessor:
                getter: getNumberOfFasteners
                setter: setNumberOfFasteners
            type: integer
        fastenerCapacity:
            expose: true
            access_type: public_method
            serialized_name: FastenerCapacity
            accessor:
                getter: getFastenerCapacity
                setter: setFastenerCapacity
            type: App\Library\Amazon\Classes\LengthDimensionType
        binding:
            expose: true
            access_type: public_method
            serialized_name: Binding
            accessor:
                getter: getBinding
                setter: setBinding
            type: string
        bindingLocation:
            expose: true
            access_type: public_method
            serialized_name: BindingLocation
            accessor:
                getter: getBindingLocation
                setter: setBindingLocation
            type: string
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        numberOfHoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHoles
            accessor:
                getter: getNumberOfHoles
                setter: setNumberOfHoles
            type: integer
        coverMaterial:
            expose: true
            access_type: public_method
            serialized_name: CoverMaterial
            accessor:
                getter: getCoverMaterial
                setter: setCoverMaterial
            type: string
        tabCutType:
            expose: true
            access_type: public_method
            serialized_name: TabCutType
            accessor:
                getter: getTabCutType
                setter: setTabCutType
            type: string
        tabPosition:
            expose: true
            access_type: public_method
            serialized_name: TabPosition
            accessor:
                getter: getTabPosition
                setter: setTabPosition
            type: string
        isPrePrinted:
            expose: true
            access_type: public_method
            serialized_name: IsPrePrinted
            accessor:
                getter: getIsPrePrinted
                setter: setIsPrePrinted
            type: boolean
        coatingDescription:
            expose: true
            access_type: public_method
            serialized_name: CoatingDescription
            accessor:
                getter: getCoatingDescription
                setter: setCoatingDescription
            type: string
        paperCornerType:
            expose: true
            access_type: public_method
            serialized_name: PaperCornerType
            accessor:
                getter: getPaperCornerType
                setter: setPaperCornerType
            type: string
        paperFinish:
            expose: true
            access_type: public_method
            serialized_name: PaperFinish
            accessor:
                getter: getPaperFinish
                setter: setPaperFinish
            type: string
        paperSize:
            expose: true
            access_type: public_method
            serialized_name: PaperSize
            accessor:
                getter: getPaperSize
                setter: setPaperSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        brightnessRating:
            expose: true
            access_type: public_method
            serialized_name: BrightnessRating
            accessor:
                getter: getBrightnessRating
                setter: setBrightnessRating
            type: integer
        mediaStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: MediaStorageCapacity
            accessor:
                getter: getMediaStorageCapacity
                setter: setMediaStorageCapacity
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        rulingType:
            expose: true
            access_type: public_method
            serialized_name: RulingType
            accessor:
                getter: getRulingType
                setter: setRulingType
            type: string
        annualEnergyConsumption:
            expose: true
            access_type: public_method
            serialized_name: AnnualEnergyConsumption
            accessor:
                getter: getAnnualEnergyConsumption
                setter: setAnnualEnergyConsumption
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        powerConsumption:
            expose: true
            access_type: public_method
            serialized_name: PowerConsumption
            accessor:
                getter: getPowerConsumption
                setter: setPowerConsumption
            type: App\Library\Amazon\Classes\PowerDimensionType
        eUEnergyLabelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EUEnergyLabelEfficiencyClass
            accessor:
                getter: getEUEnergyLabelEfficiencyClass
                setter: setEUEnergyLabelEfficiencyClass
            type: string
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        imageBrightness:
            expose: true
            access_type: public_method
            serialized_name: ImageBrightness
            accessor:
                getter: getImageBrightness
                setter: setImageBrightness
            type: string
        imageConstrastRatio:
            expose: true
            access_type: public_method
            serialized_name: ImageConstrastRatio
            accessor:
                getter: getImageConstrastRatio
                setter: setImageConstrastRatio
            type: string
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: string
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        mfgMinimum:
            expose: true
            access_type: public_method
            serialized_name: MfgMinimum
            accessor:
                getter: getMfgMinimum
                setter: setMfgMinimum
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        mfgMaximum:
            expose: true
            access_type: public_method
            serialized_name: MfgMaximum
            accessor:
                getter: getMfgMaximum
                setter: setMfgMaximum
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        compatibilityOptions:
            expose: true
            access_type: public_method
            serialized_name: CompatibilityOptions
            accessor:
                getter: getCompatibilityOptions
                setter: setCompatibilityOptions
            type: string
        calenderType:
            expose: true
            access_type: public_method
            serialized_name: CalenderType
            accessor:
                getter: getCalenderType
                setter: setCalenderType
            type: string
        isWhiteGloveRequired:
            expose: true
            access_type: public_method
            serialized_name: IsWhiteGloveRequired
            accessor:
                getter: getIsWhiteGloveRequired
                setter: setIsWhiteGloveRequired
            type: boolean
        modelYearRange:
            expose: true
            access_type: public_method
            serialized_name: ModelYearRange
            accessor:
                getter: getModelYearRange
                setter: setModelYearRange
            type: string
        numberOfLines:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLines
            accessor:
                getter: getNumberOfLines
                setter: setNumberOfLines
            type: integer
        itemDensity:
            expose: true
            access_type: public_method
            serialized_name: ItemDensity
            accessor:
                getter: getItemDensity
                setter: setItemDensity
            type: App\Library\Amazon\Classes\DensityDimensionType
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        subjectCharacter:
            expose: true
            access_type: public_method
            serialized_name: SubjectCharacter
            accessor:
                getter: getSubjectCharacter
                setter: setSubjectCharacter
            type: string
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        occasion:
            expose: true
            access_type: public_method
            serialized_name: Occasion
            accessor:
                getter: getOccasion
                setter: setOccasion
            type: string
